package com.xt.hb.data.gps.model;

public class GpsInfo {
	/** gps id */
	private String gpsid;
	/** 接收日期 */
	private long recvdate;
	/** 接收时间 */
	private long recvtime;
	/** 经度 */
	private long jd;
	/** 纬度 */
	private long wd;
	/** 高度 */
	private long gd;
	/** 速度 */
	private long sd;
	/** 方向 */
	private int fx;

	private String alarm;

	private String segment;

	private String areaid;

	private String status1;

	private String status2;

	public String getAlarm() {
		return alarm;
	}

	public String getAreaid() {
		return areaid;
	}

	public int getFx() {
		return fx;
	}

	public long getGd() {
		return gd;
	}

	public String getGpsid() {
		return gpsid;
	}

	public long getJd() {
		return jd;
	}

	public long getRecvdate() {
		return recvdate;
	}

	public long getRecvtime() {
		return recvtime;
	}

	public long getSd() {
		return sd;
	}

	public String getSegment() {
		return segment;
	}

	public String getStatus1() {
		return status1;
	}

	public String getStatus2() {
		return status2;
	}

	public long getWd() {
		return wd;
	}

	public void setAlarm(String alarm) {
		this.alarm = alarm;
	}

	public void setAreaid(String areaid) {
		this.areaid = areaid;
	}

	public void setFx(int fx) {
		this.fx = fx;
	}

	public void setGd(long gd) {
		this.gd = gd;
	}

	public void setGpsid(String gpsid) {
		this.gpsid = gpsid;
	}

	public void setJd(long jd) {
		this.jd = jd;
	}

	public void setRecvdate(long recvdate) {
		this.recvdate = recvdate;
	}

	public void setRecvtime(long recvtime) {
		this.recvtime = recvtime;
	}

	public void setSd(long sd) {
		this.sd = sd;
	}

	public void setSegment(String segment) {
		this.segment = segment;
	}

	public void setStatus1(String status1) {
		this.status1 = status1;
	}

	public void setStatus2(String status2) {
		this.status2 = status2;
	}

	public void setWd(long wd) {
		this.wd = wd;
	}

	@Override
	public String toString() {
		return "GpsInfo [gpsid=" + gpsid + ", recvdate=" + recvdate + ", recvtime=" + recvtime + ", jd=" + jd + ", wd="
				+ wd + ", gd=" + gd + ", sd=" + sd + ", fx=" + fx + ", alarm=" + alarm + ", segment=" + segment
				+ ", areaid=" + areaid + ", status1=" + status1 + ", status2=" + status2 + "]";
	}
}
